require 'dbi'

# Nawizanie poczenia z baz danych
db = DBI.connect('DBI:Mysql:nazwa_bazy', 'uytkownik', 'haso')

# Wykonanie zwykych instrukcji SQL metod 'do' i z wykorzystaniem interpolacji
db.do("INSERT INTO people (name, age) VALUES (?, ?)", name, age)

# Utworzenie i wykonanie zapytania, ktre zwrci dane
# w sposb tradycyjny
query = db.prepare('SELECT * FROM people')
query.execute

while row = query.fetch do
  puts row.inspect
end

query.finish

# Pobranie danych bezporednio z bazy w ramach jednego polecenia
# Taka konstrukcja jest bardziej czytelna, ni konstrukcja wczeniejsza
db.select_all('SELECT * FROM people') do |row|
  puts row.inspect
end

db.disconnect

